/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#if !defined(EDITPROFILEATHLETEPAGE__H)

#define EDITPROFILEATHLETEPAGE__H

#include <QWidget>

#include "ui_editprofileathletepage.h"

#include <QPixmap>

class Profile;

class QButtonGroup;

class EditProfileAthletePage : public QWidget, public Ui::EditProfileAthletePage
{
	Q_OBJECT

	public:
		EditProfileAthletePage(QWidget* parent = NULL);

	public:
		void setupPage(Profile* profile);
		void setupConnections();
		bool accept();
		void reject() {}

	signals:
		void modified();

	protected slots:
		void onNameChanged(const QString&);
		void onBirthDateChanged(const QDate&);
		void onGenderChanged(int);
		void onHeightChanged(double);
		void onAthletePhotoButton(bool);

	private:
		Profile* m_Profile;
		QPixmap m_AthletePhoto;
		QButtonGroup* m_GenderGroup;
};

#endif

